Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.makumba.commons
Class LongData

    java.lang.Object
      org.makumba.commons.LongData

    public class LongData

extends Object

This class accumulates a stream of data, and if it gets long, it automatically saves it in a file

Author:
  Cristian Bogdan

Nested Class Summary
`(package private) class` | `LongData.DataStrategy`
`(package private) class` | `LongData.EmptyStrategy`
`(package private) class` | `LongData.FileStrategy`
`(package private) static interface` | `LongData.LongDataStrategy`

Field Summary
`(package private) LongData.LongDataStrategy` | `ds`
`(package private) int` | `length`

Constructor Summary
`LongData()`
`LongData(InputStream is)`

Method Summary
`void` | `appendFrom(InputStream i)`
`void` | `appendFrom(Reader r)`
`InputStream` | `getInputStream()`
`int` | `getLength()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### length

    int length

### ds

    LongData.LongDataStrategy ds

Constructor Detail

### LongData

    public LongData()

### LongData

    public LongData(InputStream is)
             throws IOException

Throws:
  `IOException`

Method Detail

### appendFrom

    public void appendFrom(Reader r)
                    throws IOException

  Throws:
    `IOException`

### appendFrom

    public void appendFrom(InputStream i)
                    throws IOException

  Throws:
    `IOException`

### getLength

    public int getLength()

### getInputStream

    public InputStream getInputStream()
                               throws IOException

  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Docs generated on 2009-02-25 14:20